• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming & Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Combination Charts
    • Chart with Animation
    • Chart with Logarithmic Axis
    • Dynamic Chart
    • Chart with Data from AJAX
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart with Date-Time Axis
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabels
  • COLUMN CHARTS
    • Column Chart with Numeric Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabels
    • Multi Series Waterfall Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Index Labels
    • Pie Chart in Dark Theme
    • Doughnut Chart with Index Labels
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Indexlabels
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with Indexlabels
    • Bubble Chart with 3 Dimensional Data
    • Multi Series Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart without Neck
    • Pyramid Chart with Index Labels
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON data
    • Box & Whisker Chart
  • COMBINATION CHARTS
    • Error Bar Chart
    • Pareto Chart
    • Range Area & Line Chart
    • Candlestick & Line Chart
    • OHLC Chart with Trend
  • DYNAMIC CHARTS
    • Dynamic / Live Line Chart
    • Dynamic / Live Column Chart
    • Dynamic / Live Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, REACT, VUE.JS, JQUERY
    • JavaScript Charts
    • React Charts
    • Vue.js Charts
    • jQuery Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Angular Stacked Bar 100% Chart with Index Labels

Download Angular Chart Samples
  • Angular Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Angular Stacked Bar 100% Chart with Index/Data Labels shown for all the datapoints. Index Labels are also known as Data Labels & they show more information about the datapoint in chart.

  • Component Code
  • HTML Code
/* app.component.ts */
import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';

import { CanvasJSAngularChartsModule } from '@canvasjs/angular-charts';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [CommonModule, RouterOutlet, CanvasJSAngularChartsModule],
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  chartOptions = {
    theme: 'light2',
    title:{
      text: "Time Spent in Holiday Season"
    },
    animationEnabled: true,
    axisY:{
      title: "Percent",
      suffix: "%"
    },
    legend :{
      horizontalAlign: 'center',
      verticalAlign: 'bottom'
    },
    toolTip: {
      shared: true
    },
    data:[{        
      type: "stackedBar100",
      showInLegend: true, 
      color: "#BBDEFB",
      name: "With Friends",
      indexLabel: "#percent%",
      toolTipContent: "{label}
{name}: #percent%", dataPoints: [ { y: 320, label: "Shah" }, { y: 300, label: "Joe" }, { y: 400, label: "Fin" }, { y: 220, label: "Larry" } ] }, { type: "stackedBar100", showInLegend: true, name: "Eating Out", color: "#80DEEA", indexLabel: "#percent%", toolTipContent: "{name}: #percent%", dataPoints: [ { y: 320, label: "Shah" }, { y: 320, label: "Joe" }, { y: 280, label: "Fin" }, { y: 420, label: "Larry" } ] }, { type: "stackedBar100", showInLegend: true, name: "Reading", color: "#FFAB91", indexLabel: "#percent%", toolTipContent: "{name}: #percent%", dataPoints: [ { y: 120, label: "Shah" }, { y: 120, label: "Joe" }, { y: 300, label: "Fin" }, { y: 120, label: "Larry" } ] }, { type: "stackedBar100", showInLegend: true, name: "Shopping", color: "#B0BEC5", indexLabel: "#percent%", toolTipContent: "{name}: #percent%", dataPoints: [ { y: 320, label: "Shah" }, { y: 220, label: "Joe" }, { y: 150, label: "Fin" }, { y: 420, label: "Larry" } ] }, { type: "stackedBar100", showInLegend: true, name: "Travel", color: "#BCAAA4", indexLabel: "#percent%", toolTipContent: "{name}: #percent%", dataPoints: [ { y: 120, label: "Shah" }, { y: 160, label: "Joe" }, { y: 140, label: "Fin" }, { y: 80, label: "Larry" } ] }, { type: "stackedBar100", showInLegend: true, name: "Internet", color: "#A5D6A7", indexLabel: "#percent%", toolTipContent: "{name}: #percent%", dataPoints: [ { y: 104, label: "Shah" }, { y: 120, label: "Joe" }, { y: 300, label: "Fin" }, { y: 420, label: "Larry" } ] }] } }
<div>
    <canvasjs-chart [options]="chartOptions" [styles]="{width: '100%', height:'360px'}"></canvasjs-chart>    
</div>                        

Chart Customizations

In the example above, we have modified the content of tooltip using toolTipContent property. You can place indexlabel inside the datapoint by setting indexLabelPlacement property to "inside". Other customizable options include indexLabelOrientation, indexLabelTextAlign, yValueFormatString, etc.

Note   For step by step instructions, follow our Angular Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2025 Fenopix Privacy Policy Cookies Policy Careers

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming / Panning
    • Chart using JSON Data
    • Chart with Animation
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Crosshair
    • Chart with Scale Breaks
    • Chart with Logarithmic Axis
    • Performance with 50,000 Data Points
    • Responsive Charts
    • Chart with Drilldown
  • LINE CHARTS
    • Line Chart with Formatted Axes Labels
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabel
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabel
  • AREA CHARTS
    • Area Chart with Date-Time Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Indexlabels
    • Pie Chart with Index Labels Placed Inside
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart
    • Funnel Chart with Custom Neck
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Candlestick Chart from JSON
    • OHLC Chart
    • OHLC with Trendline
    • Box and Whisker Chart
    • Box and Whisker Chart with Customization
  • BUBBLE & SCATTER CHARTS
    • Scatter Chart
    • Scatter Chart with Custom Markers
    • Bubble Chart
  • COMBINATION CHARTS
    • Error chart
    • Error Line Chart
    • Pareto Chart
    • Combination of Column, Line and Area Chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with SplineArea & Range Selector
  • ANGULAR, VUE.JS, JAVASCRIPT, JQUERY
    • Angular Charts
    • Vue.js Charts
    • jQuery Charts
    • JavaScript Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • Python Charts
    • JSP Charts
    • Spring MVC Charts

React Stacked Bar 100% Charts & Graphs with Index Labels

Download React Chart Samples
  • React Chart Samples
  • JavaScript Chart Samples
  • Angular Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows React Stacked Bar 100% Chart with indexlabels shown for all the datapoints.

  • React Code
import React, { Component } from 'react';
import CanvasJSReact from '@canvasjs/react-charts';
//var CanvasJSReact = require('@canvasjs/react-charts');

var CanvasJS = CanvasJSReact.CanvasJS;
var CanvasJSChart = CanvasJSReact.CanvasJSChart;

class App extends Component {
    render() {
        const options = {
            theme: 'light2',
            title: {
                text: "Time Spent in Holiday Season"
            },
            animationEnabled: true,
            axisY: {
                title: "Percent",
                suffix: "%"
            },
            legend: {
                horizontalAlign: 'center',
                verticalAlign: 'bottom'
            },
            toolTip: {
                shared: true
            },
            data: [{
                type: "stackedBar100",
                showInLegend: true,
                color: "#BBDEFB",
                name: "With Friends",
                indexLabel: "#percent%",
                toolTipContent: "{label} {name}: #percent%",
                dataPoints: [
                    { y: 320, label: "Shah" },
                    { y: 300, label: "Joe" },
                    { y: 400, label: "Fin" },
                    { y: 220, label: "Larry" }
                ]
            },
            {
                type: "stackedBar100",
                showInLegend: true,
                name: "Eating Out",
                color: "#80DEEA",
                indexLabel: "#percent%",
                toolTipContent: "{name}: #percent%",
                dataPoints: [
                    { y: 320, label: "Shah" },
                    { y: 320, label: "Joe" },
                    { y: 280, label: "Fin" },
                    { y: 420, label: "Larry" }
                ]
            },
            {
                type: "stackedBar100",
                showInLegend: true,
                name: "Reading",
                color: "#FFAB91",
                indexLabel: "#percent%",
                toolTipContent: "{name}: #percent%",
                dataPoints: [
                    { y: 120, label: "Shah" },
                    { y: 120, label: "Joe" },
                    { y: 300, label: "Fin" },
                    { y: 120, label: "Larry" }
                ]
            },
            {
                type: "stackedBar100",
                showInLegend: true,
                name: "Shopping",
                color: "#B0BEC5",
                indexLabel: "#percent%",
                toolTipContent: "{name}: #percent%",
                dataPoints: [
                    { y: 320, label: "Shah" },
                    { y: 220, label: "Joe" },
                    { y: 150, label: "Fin" },
                    { y: 420, label: "Larry" }
                ]
            },
            {
                type: "stackedBar100",
                showInLegend: true,
                name: "Travel",
                color: "#BCAAA4",
                indexLabel: "#percent%",
                toolTipContent: "{name}: #percent%",
                dataPoints: [
                    { y: 120, label: "Shah" },
                    { y: 160, label: "Joe" },
                    { y: 140, label: "Fin" },
                    { y: 80, label: "Larry" }

                ]
            },
            {
                type: "stackedBar100",
                showInLegend: true,
                name: "Internet",
                color: "#A5D6A7",
                indexLabel: "#percent%",
                toolTipContent: "{name}: #percent%",
                dataPoints: [
                    { y: 104, label: "Shah" },
                    { y: 120, label: "Joe" },
                    { y: 300, label: "Fin" },
                    { y: 420, label: "Larry" }
                ]
            }]
        };

        return (
            <div>
                <CanvasJSChart options={options}
                /* onRef={ref => this.chart = ref} */
                />
                {/*You can get reference to the chart instance as shown above using onRef. This allows you to access all chart properties and methods*/}
            </div >
        );
    }
}
export default App;                              

Chart Customizations

In the above example, legend is enabled by setting showInLegend property to true & the text shown in legend is changed by setting name property.

Note   For step by step instructions, follow our React Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2025 Fenopix Privacy Policy Cookies Policy Careers